Subject: Re: [PATCH] Test that git add removes stages 1,2,3.

From: Johannes Sixt <[email-masked]>
Date: Mon, 02 Jul 2007 13:47:32 +0200

Johannes Schindelin wrote:
> On Mon, 2 Jul 2007, Johannes Sixt wrote:
> 
> > git add seems to have a bug, where it doesn't remove stages 1,2,3
> > if a stage 0 entry is already in the index.
> 
> But how does that happen? I do not know any way to use porcelain to
> achieve that bogus state.

I'm aware of that; so I said "border case" in the original post.

> Pilot error?

Oh, yes :) It noticed this when I was tweaking the test for git add with
symlinks=false that I posted.

-- Hannes